@echo off
cls
if "%1"=="" goto mess

echo Read the file README.TXT, please
echo Press any key to begin the INSTALLATION PROCESS or CTRL-C to break...
pause
cls
instcont %1\elips

call envir %1\elips

echo ConfDir=%1\elips\uu_conf >> %1\elips\uucp.prm
echo SpoolDir=%1\elips\uu_spool >> %1\elips\uucp.prm

%1
cd\elips
md send
md receive
if exist cgare.com cgare
if exist hgcre.com hgcre
if exist mcgare.com mcgare
if exist egare.com egare
if exist vgare.com vgare

:continue
cls
echo Сейчас временно введены переменные среды:
set
echo После просмотра нажмите любую клавишу
pause

cls
echo В будущем откорректируйте файл AUTOEXEC.BAT на основе этого файла:
type autoexec.new
type config.new
echo ==================================================================
echo Если в процессе установки SET переменных Вы получите сообщение:
echo    Out of environment space
echo    (Остутствует свободная память для SET переменных)
echo В этом случае введите в файл CONFIG.SYS строку:
echo   SHELL=C:\COMMAND.COM /e:1024 /p
echo ==================================================================
echo Нажмите любую клавишу для запуска программы SETUP или CTRL-C для окончания
echo По умолчанию SETUP настроен на графический монитор, установите требуемый тип
pause

cls
setup
cd send
..\elips c:\autoexec.bat ..\elips\autoexec.new
goto end

:mess
echo      * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
echo      *   You must start with parameter [DISK:], for example  SET_INST F: *
echo      * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *

:end
